#ifndef FACADE_H
#define FACADE_H

#include <vector>
#include <iostream>
#include "soldier.h"
#include "moveaction.h"
#include "killaction.h"

/*

Facade

*/

class Facade
{

	public:

		Facade();
		~Facade();

		void move(int direction);
		void kill(int soldier);

	private:

		vector<Soldier*> mSoldiers;
		vector<MoveAction*> mMoveActions;

};

#endif
